EC_NODE_MANY(3)

NAME
ec_node_many - Create a many node that matches its child multiple times.

SYNOPSIS
#include <ecoli/node_many.h>

struct ec_node * ec_node_many(
    const char       *id,     /* The node identifier. */
    /*
     * The child node. It is consumed and will be freed when the parent is
     * freed, or immediately on error.
     */
    struct ec_node   *child,
    /*
     * Minimum number of repetitions. Use 0 for no minimum.
     */
    unsigned int      min,
    /*
     * Maximum number of repetitions. Use 0 for no maximum.
     */
    unsigned int      max
);

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_many_set_params(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.